System.register([], function (_export, _context) {
  "use strict";

  var reA, reN;


  /**
   * @usage: ["A1", "A10", "A11", "A12", "A2", "A3", "A4", "B10", "B2", "F1", "F12", "F3"].sort(sortAlphaNum);
   */
  function sortAlphaNum(a, b) {
    a = a.toString();
    b = b.toString();
    const aA = a.replace(_recorder_._src_client_sort_js.reA, "");
    const bA = b.replace(_recorder_._src_client_sort_js.reA, "");
    if (aA === bA) {
      const aN = parseInt(a.replace(_recorder_._src_client_sort_js.reN, ""), 10);
      const bN = parseInt(b.replace(_recorder_._src_client_sort_js.reN, ""), 10);
      return aN === bN ? 0 : aN > bN ? 1 : -1;
    } else {
      return aA > bA ? 1 : -1;
    }
  }

  _export("sortAlphaNum", sortAlphaNum);

  return {
    setters: [],
    execute: function () {
      _recorder_._src_client_sort_js = _recorder_._src_client_sort_js || {};
      _recorder_._src_client_sort_js.sortAlphaNum = sortAlphaNum;
      reA = /[^a-zA-Z]/g;
      _recorder_._src_client_sort_js.reA = reA;
      reN = /[^0-9]/g;
      _recorder_._src_client_sort_js.reN = reN;
    }
  };
});